/*
 * chmod+utime -> fattr alias
 */

#include <stdio.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <unistd.h>
#include <utime.h>

int main(int argc, char **argv)
{
	(void)argc;
	char t[256];
	snprintf(t, sizeof t, "%s/t008_XXXXXX", argv[1]);
	int fd = mkstemp(t);
	if (fd >= 0) {
		close(fd);
		chmod(t, 0600);
		utime(t, 0);
		unlink(t);
	}
	return 0;
}
